2019-07-22 17:50 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002189NetSurf[All Projects] Generalpublic2015-03-10 23:44
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformARMOSRISC OSOS Version5.19
Product Version3.2 
Target Version3.3Fixed in Version3.3 
Summary0002189: Redraw issues at ends of lines in text boxes
DescriptionWhen editing text in a text box on a Web form, Netsurf can fail to redraw the ends of lines correctly if the edit causes text to rewrap. The 'ghost' of the word that was previously at the start of the new line can be left visible in place of the replacement text.

Unfortunately this doesn't seem to be universally applicable (I've failed to get the issue to show up on the text entry boxes on this page, for example, even after switching to a proportional font), which makes it harder to demonstrate. This redraw problem often happens to me when using the GMail web interface, for example, and when using the 'private messaging' system on Fanfiction.net.
Steps To ReproduceOpen the GMail 'Compose Mail' window using the Basic HTML interface. Paste in the text "Yes, there is in fact a plot for this one under all the angst-- not much of a plot idea, but Chapter 1 was never more than just an isolated vignette!" (Image 1)


Place the cursor at the start of the second line, before the word "just", and delete the space between this word and the preceding word, thus creating a new word "justnever" and forcing Netsurf to rewrap it onto the line below. The 'ghost' of the old word "never" is still visible at the end of the first line, and the words "just a" are visible in their old position at the start of the second line as well as in their new position further along the line. (Image2)

Forcing a redraw by dragging another window over the left-hand side of the text box reveals the true state of affairs on the second line, though the first line has not yet been redrawn here (Image3).

Second example: usaing the same initial text, place the cursor at the end of the first line after the word "never", and insert the words "more than". There is only room for the letter "m", so after this is typed all the next text has to rewrap onto the line below. However, the first two letters on the new line never get redrawn, and the "m" is still visible in its initial position at the end of the first line (Image4)
TagsNo tags attached.
Fixed in CI build #2126
Reported in CI build #2021
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Michael Drake

~0000492

Michael Drake (administrator)

What format are these images?
Michael Drake

~0000493

Michael Drake (administrator)

Does this only happen when editing the first line of the textarea, and where it wraps to the second line?
Harriet Bazley

~0000495

Harriet Bazley (reporter)

The files are RISC OS sprite files - standard snapshots from Paint taken in a 16M colour mode. I can upload versions processed into JPEG format if needed.

I usually see this at the bottom of a long textarea entry when I'm editing text just typed, so it definitely applies to lines beyond the first. I can confirm that I still see the behaviour as described in version 2117.
Michael Drake

~0000498

Michael Drake (administrator)

PNG is best, but don't worry about upoading them, I've reproduced the issue for myself.
Michael Drake

~0000502

Michael Drake (administrator)

Last edited: 2014-09-27 19:12

View 2 revisions

Please try build 2126. Hopefully no new redraw bugs were introduced.

Vincent Sanders

~0000761

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2014-09-02 01:12 Harriet Bazley New Issue
2014-09-02 01:12 Harriet Bazley File Added: redraw.zip
2014-09-02 11:08 Vincent Sanders Assigned To => Michael Drake
2014-09-02 11:08 Vincent Sanders Status new => acknowledged
2014-09-02 11:08 Vincent Sanders Category RISC OS-specific => General
2014-09-02 11:08 Vincent Sanders Description Updated View Revisions
2014-09-02 11:08 Vincent Sanders Steps to Reproduce Updated View Revisions
2014-09-19 12:56 Michael Drake Note Added: 0000492
2014-09-19 13:06 Michael Drake Note Added: 0000493
2014-09-19 14:07 Harriet Bazley Note Added: 0000495
2014-09-19 15:02 Michael Drake Note Added: 0000498
2014-09-27 19:12 Michael Drake Fixed in CI build # => 2126
2014-09-27 19:12 Michael Drake Note Added: 0000502
2014-09-27 19:12 Michael Drake Status acknowledged => resolved
2014-09-27 19:12 Michael Drake Resolution open => fixed
2014-09-27 19:12 Michael Drake Fixed in Version => 3.3
2014-09-27 19:12 Michael Drake Target Version => 3.3
2014-09-27 19:12 Michael Drake Note Edited: 0000502 View Revisions
2015-03-10 23:44 Vincent Sanders Note Added: 0000761
2015-03-10 23:44 Vincent Sanders Status resolved => closed
+Issue History